#!/usr/bin/env bash

ROOT_PATH=./node_modules/@troveng/trov-web-config/
CONFIG_PATH=${ROOT_PATH}config/

function copy () {
  /bin/cp -f ${CONFIG_PATH}$1 ./$1
}

function copyWithName () {
  /bin/cp -f ${CONFIG_PATH}$1 $2
}

function copydir () {
  /bin/rm -rf ./$1
  /bin/cp -rf ${ROOT_PATH}$1 ./$1
}

copy .babelrc
copy .editorconfig
copy .eslintrc
copy .flowconfig
copy .npmignore
copy .stylelintrc
copy .swaggergenrc
copyWithName gitignore ./.gitignore

# If the APP=true variable is defined then copy configuration for an app.
# If APP!=true then it is assumed to be a library and thus this config is not copied.
if [ "$APP" = "true" ]
then
    copydir shared
    copydir webpack
    copydir webserver
fi

# If the TEST=true variable is defined then copy test configuration. Otherwise don't copy it.
if [ "$TEST" = "true" ]
then
    copydir test_helpers
    copyWithName test-index.js ./test/index.js
fi

