module.exports = (variableName, possibleValues, allowUndefined = false) => {
  const env = process.env[variableName];

  if (!env && allowUndefined) {
    return;
  }

  if (!env) {
    throw new Error(variableName + " not defined")
  }

  const possibleEnvs = possibleValues;
  if (!possibleEnvs.includes(env)) {
    throw new Error(`${env} is not a possible option. Options: ${possibleEnvs.join(", ")}`);
  }

  return env;
};
