// REACT CONTAINERS - TEST HELPERS
// =============================================================================
// Useful helper methods for testing React containers, especially in relation
// to their children.

import chai, { expect } from "chai";
import chaiEnzyme from "chai-enzyme";

chai.use( chaiEnzyme() );

export function compareChildProps ( parent, child ) {
  const parentProps = parent.props();

  for ( let propKey in parentProps ) {
    expect( child ).to.have.prop( propKey, parentProps[ propKey ] );
  }
}
