// DEVELOP.SH CUSTOM MOCHA REPORTER
// =============================================================================
// Outputs test data in a simple format so it can be scraped by DEVELOP.sh

var mocha = require( "mocha" );

function reporter( runner ) {
  mocha.reporters.Base.call( this, runner );

  runner.on( "pass", () => console.log( "PASS" ) );

  runner.on( "fail", ( test, err ) =>
    console.log( "FAIL", test.fullTitle(), "\n", err.message )
  );

  runner.on( "end", () => console.log( "END" ) );
}

module.exports = reporter;
