// REDUX - TEST HELPER
// =============================================================================
// Methods which help automate the testing of Redux's actions, reducers, stores,
// and general data flow.

import { expect } from "chai";

export function testActionCreatorTypes ( matches ) {
  matches.forEach( pair => {
    const [ actionCreator, type ] = pair;

    it( `should return an action creator for type ${ type }`, () => {
      expect( actionCreator ).to.be.a( "function" );
      expect( type ).to.be.a( "string" );
      expect( actionCreator() ).to.have.property( "type", type );
    });
  });
}
